namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 公司表
    /// </summary>
    [SugarTable("Sys_Company")]
    public class Sys_Company : EntityBase
    {
        /// <summary>
        /// 公司Code
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string CompanyCode { get; set; }
        /// <summary>
        /// 公司名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CompanyName { get; set; }

        /// <summary>
        /// 公司所在地
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Address { get; set; }
        /// <summary>
        /// 负责人Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ContactUserId { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string Tel { get; set; }
        /// <summary>
        /// 父级公司Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ParentCompanyId { get; set; }
    }

}
